module wei_table_mod

 type ctable
   integer    :: n
   real       :: o
   real       :: d
   real,pointer    :: amp(:)
   real,pointer    :: phase(:)
   complex,pointer :: val(:)
 end type ctable 

 type rtable
   integer    :: n
   real       :: o
   real       :: d,inv_d
   real,pointer    :: val(:)
 end type rtable 


end module
